[CentOS] Q about 5.3 qt and qgis

Michael A. Peters mpeters at mac.com
Sun Mar 29 18:47:24 UTC 2009


Guess I'll find out soon enough ...

In order to get qgis to build by RPM in CentOS 5.2 I had to update qt - 
but the shared library did not version -

http://forum.qgis.org/viewtopic.php?f=3&t=4423

Since the qt shared library did not version with the minor update to qt, 
my suspicion (though I don't know for sure as I didn't look at source) 
is that the minor version bump was a small bug fix that would have 
likely just been a patch in RHEL.

Anyway, I am curious - is the version of qt in rhel/centos sufficient 
for qgis or does it need the same minor version bump?

Anyone on the list build qgis on RHEL 5.3? If so, was the shipped qt 
library sufficient?

If it is not, then I'm thinking the right way to build qgis may be to 
see if it *really* needs the minor update and patch the makefile if it 
doesn't (I usually don't like replacing vendor packages).


More information about the CentOS mailing list